Deployments.ai Docs
Alerts

Show your alert email settings

GET /v1/alert-notification-preferences · SDK getAlertNotificationPreferences · CLI deployments monitor notification-settings

GET
/v1/alert-notification-preferences

Requires monitors:read; admits human callers.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AlertNotificationPreferencesResponse

application/json
  1. response
email*string
Value in"all""none"
mutedMonitorIds*array<>
curl -X GET "https://example.com/v1/alert-notification-preferences" \  -H "x-deployments-organization: string"
{  "email": "all",  "mutedMonitorIds": [    "string"  ]}